// **********************************************************************
//
// Copyright (c) 2002
// IONA Technologies, Inc.
// Waltham, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef PORTABLE_INTERCEPTOR_CURRENT_IDL
#define PORTABLE_INTERCEPTOR_CURRENT_IDL

#pragma prefix "omg.org"

#include <OB/Current.idl>

#include <OB/PICommon.idl>

module PortableInterceptor
{

local interface Current : CORBA::Current
{
    any get_slot(in SlotId slot)
        raises(InvalidSlot);

    void set_slot(in SlotId slot, in any data)
        raises(InvalidSlot);
};

}; // End of module PortableInterceptor

#endif
